GDB (xrefs)

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
scoped_restore_base Class Reference

`#include "scoped_restore.h"`

Inheritance diagram for scoped_restore_base:

## Public Member Functions
void | release () const

## Protected Member Functions
| scoped_restore_base (void *saved_var)

## Protected Attributes
void * | m_saved_var

## Detailed Description

Definition at line 24 of file scoped_restore.h.

## Constructor & Destructor Documentation

## ◆ scoped_restore_base()

scoped_restore_base::scoped_restore_base | ( | void * | saved_var | ) |
| inline protected

Definition at line 33 of file scoped_restore.h.

## Member Function Documentation

## ◆ release()

void scoped_restore_base::release | ( |  | ) | const
| inline

Definition at line 29 of file scoped_restore.h.

References m_saved_var.

Referenced by dwarf2_build_psymtabs_hard(), prepare_for_detach(), and selftests::scoped_restore_tests::run_tests().

## Member Data Documentation

## ◆ m_saved_var

void* scoped_restore_base::m_saved_var
| mutable protected

Definition at line 40 of file scoped_restore.h.

Referenced by release(), scoped_restore_tmpl< quit_handler_ftype *>::saved_var(), and scoped_restore_tmpl< quit_handler_ftype *>::scoped_restore_tmpl().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/scoped_restore.h